/**
 * 
 */
package com.wieseke.cptk.common.api;

import java.util.List;

/**
 * @author Nicolas Wieseke
 * 
 */
public interface IHostNode extends INode {

	/*
	 * (non-Javadoc)
	 * 
	 * @see com.wieseke.cptk.common.api.INode#getParent()
	 */
	
	public IHostNode getParent();

	/*
	 * (non-Javadoc)
	 * 
	 * @see com.wieseke.cptk.common.api.INode#getChildren()
	 */
	
	public List<? extends IHostNode> getChildren();

	/**
	 * @return the rank
	 */
	public int getRank();

	/**
	 * @param rank
	 *            the rank to set
	 */
	public void setRank(int rank);
}
