/**
 * 
 */
package com.wieseke.cptk.common.api;

import java.util.List;

/**
 * @author Nicolas Wieseke
 * 
 */
public interface INode {

	/**
	 * @return the number
	 */
	public int getNumber();

	/**
	 * @param number
	 *            the number to set
	 */
	public void setNumber(int number);

	/**
	 * @return the label
	 */
	public String getLabel();

	/**
	 * @param label
	 *            the label to set
	 */
	public void setLabel(String label);

	/**
	 * @return the level
	 */
	public int getLevel();

	/**
	 * @param level
	 *            the level to set
	 */
	public void setLevel(int level);

	/**
	 * @return the parent
	 */
	public INode getParent();

	/**
	 * @return the children
	 */
	public List<? extends INode> getChildren();

	/**
	 * @return the directChildrenCount
	 */
	public int getDirectChildrenCount();

	/**
	 * @return the childrenCount
	 */
	public int getChildrenCount();

	/**
	 * @param childrenCount
	 *            the childrenCount to set
	 */
	public void setChildrenCount(int childrenCount);

	/**
	 * @return the leaf
	 */
	public boolean isLeaf();

}
